//
//****************************************************************
// Name: P18F66J60.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F66J60


// MISTAT
public const
    BUSY = 0,
    SCAN = 1,
    NVALID = 2

// EFLOCON
public const
    FCEN0 = 0,
    FCEN1 = 1,
    FULDPXS = 2

// MACON1
public const
    MARXEN = 0,
    PASSALL = 1,
    RXPAUS = 2,
    TXPAUS = 3

// MACON3
public const
    FULDPX = 0,
    FRMLNEN = 1,
    HFRMEN = 2,
    PHDREN = 3,
    TXCRCEN = 4,
    PADCFG0 = 5,
    PADCFG1 = 6,
    PADCFG2 = 7

// MACON4
public const
    DEFER = 6

// MABBIPG
public const
    BBIPG0 = 0,
    BBIPG1 = 1,
    BBIPG2 = 2,
    BBIPG3 = 3,
    BBIPG4 = 4,
    BBIPG5 = 5,
    BBIPG6 = 6

// MICMD
public const
    MIIRD = 0,
    MIISCAN = 1

// ERXFCON
public const
    BCEN = 0,
    MCEN = 1,
    HTEN = 2,
    MPEN = 3,
    PMEN = 4,
    CRCEN = 5,
    ANDOR = 6,
    UCEN = 7

// EIE
public const
    RXERIE = 0,
    TXERIE = 1,
    TXIE_EIE = 3,
    LINKIE = 4,
    DMAIE = 5,
    PKTIE = 6

// ESTAT
public const
    PHYRDY = 0,
    TXABRT = 1,
    RXBUSY = 2,
    BUFER = 6

// ECON2
public const
    ETHEN = 5,
    PKTDEC = 6,
    AUTOINC = 7

// EIR
public const
    RXERIF = 0,
    TXERIF = 1,
    TXIF_EIR = 3,
    LINKIF = 4,
    DMAIF = 5,
    PKTIF = 6

// EDATA
public const
    EDATA0 = 0,
    EDATA1 = 1,
    EDATA2 = 2,
    EDATA3 = 3,
    EDATA4 = 4,
    EDATA5 = 5,
    EDATA6 = 6,
    EDATA7 = 7

// ECCP2DEL
public const
    PDC0 = 0,
    PDC1 = 1,
    PDC2 = 2,
    PDC3 = 3,
    PDC4 = 4,
    PDC5 = 5,
    PDC6 = 6,
    PRSEN = 7

// ECCP2AS
public const
    PSSBD0 = 0,
    PSSBD1 = 1,
    PSSAC0 = 2,
    PSSAC1 = 3,
    ECCPAS0 = 4,
    ECCPAS1 = 5,
    ECCPAS2 = 6,
    ECCPASE = 7

// ECCP3DEL
public const
    P3DC0 = 0,
    P3DC1 = 1,
    P3DC2 = 2,
    P3DC3 = 3,
    P3DC4 = 4,
    P3DC5 = 5,
    P3DC6 = 6,
    P3RSEN = 7

// ECCP3AS
public const
    PSS3BD0 = 0,
    PSS3BD1 = 1,
    PSS3AC0 = 2,
    PSS3AC1 = 3,
    ECCP3AS0 = 4,
    ECCP3AS1 = 5,
    ECCP3AS2 = 6,
    ECCP3ASE = 7

// CCP5CON
public const
    CCP5M0 = 0,
    CCP5M1 = 1,
    CCP5M2 = 2,
    CCP5M3 = 3,
    CCP5Y = 4,
    CCP5X = 5

// CCP4CON
public const
    CCP4M0 = 0,
    CCP4M1 = 1,
    CCP4M2 = 2,
    CCP4M3 = 3,
    DC4B0 = 4,
    DC4B1 = 5

// T4CON
public const
    T4CKPS0 = 0,
    T4CKPS1 = 1,
    TMR4ON = 2,
    T4OUTPS0 = 3,
    T4OUTPS1 = 4,
    T4OUTPS2 = 5,
    T4OUTPS3 = 6

// ECCP1DEL
public const
    P1DC0 = 0,
    P1DC1 = 1,
    P1DC2 = 2,
    P1DC3 = 3,
    P1DC4 = 4,
    P1DC5 = 5,
    P1DC6 = 6,
    P1RSEN = 7

// BAUDCON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCON1
public const
    SCKP = 4,
    RCMT = 6

// BAUDCTL

// BAUDCTL1

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5

// PORTF
public const
    RF1 = 1,
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG4 = 4

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    REPU = 6,
    RDPU = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5

// LATF
public const
    LATF1 = 1,
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG4 = 4

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// DDRD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2

// TRISD

// DDRE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5

// TRISE

// DDRF
public const
    TRISF1 = 1,
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISF

// DDRG
public const
    TRISG4 = 4

// TRISG

// OSCTUNE
public const
    PPRE = 4,
    PPST0 = 5,
    PLLEN = 6,
    PPST1 = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSP1IE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSP1IF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSP1IP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6

// PIE2
public const
    CCP2IE = 0,
    TMR3IE = 1,
    BCL1IE = 3,
    ETHIE = 5,
    CMIE = 6,
    OSCFIE = 7

// PIR2
public const
    CCP2IF = 0,
    TMR3IF = 1,
    BCL1IF = 3,
    ETHIF = 5,
    CMIF = 6,
    OSCFIF = 7

// IPR2
public const
    CCP2IP = 0,
    TMR3IP = 1,
    BCL1IP = 3,
    ETHIP = 5,
    CMIP = 6,
    OSCFIP = 7

// PIE3
public const
    CCP3IE = 0,
    CCP4IE = 1,
    CCP5IE = 2,
    TMR4IE = 3

// PIR3
public const
    CCP3IF = 0,
    CCP4IF = 1,
    CCP5IF = 2,
    TMR4IF = 3

// IPR3
public const
    CCP3IP = 0,
    CCP4IP = 1,
    CCP5IP = 2,
    TMR4IP = 3

// EECON1
public const
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// RCSTA1
public const
    RCD8 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADDEN1 = 3,
    CREN1 = 4,
    SREN1 = 5,
    RC9 = 6,
    SPEN1 = 7

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// TXSTA1
public const
    TXD8 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB1 = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX8_9 = 6,
    CSRC1 = 7

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    T3CCP2 = 6,
    RD16 = 7

// CMCON
public const
    CM0 = 0,
    CM1 = 1,
    CM2 = 2,
    CIS = 3,
    C1INV = 4,
    C2INV = 5,
    C1OUT = 6,
    C2OUT = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVROE = 6,
    CVREN = 7

// ECCP1AS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCP1AS0 = 4,
    ECCP1AS1 = 5,
    ECCP1AS2 = 6,
    ECCP1ASE = 7

// CCP3CON
public const
    CCP3M0 = 0,
    CCP3M1 = 1,
    CCP3M2 = 2,
    CCP3M3 = 3,
    DC3B0 = 4,
    DC3B1 = 5,
    P3M0 = 6,
    P3M1 = 7

// ECCP3CON
public const
    CCP3Y = 4,
    CCP3X = 5

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5,
    P2M0 = 6,
    P2M1 = 7

// ECCP2CON
public const
    CCP2Y = 4,
    CCP2X = 5

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ECCP1CON
public const
    CCP1Y = 4,
    CCP1X = 5

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    VCFG0 = 4,
    VCFG1 = 5

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    ADCAL = 7

// SSP1CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSP1CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPCON1

// SSP1STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSPSTAT
public const
    I2C_READ = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    I2C_DAT = 5

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// ECON1
public const
    RXEN = 2,
    TXRTS = 3,
    CSUMEN = 4,
    DMAST = 5,
    RXRST = 6,
    TXRST = 7

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    OSTS = 3,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
